Subject: Re: bug#57400: 29.0.50; Support sending patches from VC directly

From: Philip Kaludercic <[email-masked]>
Date: Mon, 03 Oct 2022 21:22:16 +0000

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked], Antoine Kalmbach <[email-masked]>
>> From: Lars Ingebrigtsen <[email-masked]>
>> Date: Mon, 03 Oct 2022 21:06:57 +0200
>> 
>> Do many other VCs have commands to prepare patches like this?
>
> Hg and bzr do have such commands.  

Yes, and I would plan to implement it for these as well (even though I
have never used bzr).

>                                    Others should indeed run vc-diff, I
> think.

That seem possible, but for that to work I will need a generic way to
detect the predecessor of a commit and extract a commit message.
Currently, I am not sure if this can be done.